#include "ZTAlarms.h"

CZTAlarms::CZTAlarms()
{
    mZT1AxleCountAlarm = mZT1EquipmentFailureAlarm = false;
    mZT2AxleCountAlarm = mZT2EquipmentFailureAlarm = false;
}

void CZTAlarms::ClearAllAlarms()
{
//    mZT1PPIAlarmRanks.clear();
//    mZT1PPEAlarmRanks.clear();
//    mZT1PGAlarmRanks.clear();
//    mZT1FNAlarmRanks.clear();
//    mZT2PPIAlarmRanks.clear();
//    mZT2PPEAlarmRanks.clear();
//    mZT1AxleCountAlarm = mZT1EquipmentFailureAlarm = false;
//    mZT2AxleCountAlarm = mZT2EquipmentFailureAlarm = false;
    ClearZT1Alarms();
    ClearZT2Alarms();
}

void CZTAlarms::ClearZT1Alarms()
{
    mZT1PPIAlarmRanks.clear();
    mZT1PPEAlarmRanks.clear();
    mZT1PGAlarmRanks.clear();
    mZT1FNAlarmRanks.clear();
    mZT1AxleCountAlarm = mZT1EquipmentFailureAlarm = false;
}

void CZTAlarms::ClearZT2Alarms()
{
    mZT2PPIAlarmRanks.clear();
    mZT2PPEAlarmRanks.clear();
    mZT2AxleCountAlarm = mZT2EquipmentFailureAlarm = false;
}
